ProgramAssociationTable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.si
Interface ProgramAssociationTable

All Superinterfaces:
  SIElement, SIRetrievable, Table

    public interface ProgramAssociationTable

extends Table

This interface represents an MPEG-2 Program Association Table (PAT).

For an Inband PAT, the getLocator() method defined in the SIElement interface shall return an org.ocap.net.OcapLocator instance corresponding to one of the following OCAP URL forms:

`ocap://source_id` `ocap://f=frequency.program_number`

The form returned must match the form of the OCAP URL passed to the previous call to `ProgramAssociationTableManager.retrieveInBand()` or `ProgramAssociationTableManager.addInBandChangeListener()`.

For an OOB PAT, the returned OcapLocator corresponds to the following OCAP URL form:

`ocap://oobfdc.program_number`

The getServiceInformationType() method defined in the SIElement interface shall return ServiceInformationType.UNKNOWN.

Method Summary
`PATProgram[]` | `getPrograms()` Get the program loop in Program Association Table.
`short` | `getTableId()` Get the identifier for this table.

Methods inherited from interface javax.tv.service.SIElement
`equals, getLocator, getServiceInformationType, hashCode`

Methods inherited from interface javax.tv.service.SIRetrievable
`getUpdateTime`

Method Detail

### getTableId

    short getTableId()

  Get the identifier for this table.

  Specified by:
    `getTableId` in interface `Table`
  Returns:
    The table identifier.

### getPrograms

    PATProgram[] getPrograms()

  Get the program loop in Program Association Table.

  Returns:
    The list of PATProgram which represents the program loop in Program Association Table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD